# Dominos

Dominos is an addon that replaces your main bar with movable parts that offer
additional customization. Dominos is used primarily for its action bars,
which feature:

* Customizable layout settings (spacing, vertical bars, opacity, scale, etc)
* Customizable action bar paging (so that you can change what your bars do when shapeshifted, etc)
* Customizable visiblity (so that you can make bars transparent, or show up only when in combat, etc)
* [Masque](https://www.curseforge.com/wow/addons/masque) support for button styling,
with individual settings per bar
* [LibKeyBound](https://www.wowace.com/projects/libkeybound-1-0) is implemented for quickly binding keys
* Any other addon that works on Blizzard UI for action buttons should also work with Dominos, too.
This includes things like [tullaRange](https://www.curseforge.com/wow/addons/tullarange), [AdiButtonAuras](https://www.curseforge.com/wow/addons/adibuttonauras), and [OmniCC](https://www.curseforge.com/wow/addons/omni-cc)

## Usage

### General Settings

The main options menu in Dominos can be found by either right clicking the
minimap icon or via the `/dominos` slashcommand. On the main options menu,
you will find sections for configuring shared bar settings and profiles.

### Moving Stuff Around

To move around or hide bars, you will want to enter **configuration mode**. You
can do this by either one of the following ways

* Left clicking the minimap button
* Clicking **Configure Bars...** from the main options menu (accessible from /dominos)
* Using the slash command /dominos config
* Once in configuration mode, you can drag around bars using your mouse

### Customizing Individual Bars

Most per bar settings can be found in context menus. To access these settings,
*right click* or alt left click the bar in configuration mode.

### Binding Keys

Dominos implements support for [LibKeyBound](https://www.wowace.com/projects/libkeybound-1-0)
for quickly binding keys. Quick Binding mode can be entered by either the standard keybound shortcut (/kb)
or by clicking the Bind Keys... button in the main options menu.

### Slash Commands

Dominos provides a large set of slash commands for usage in macros and bulk
adjustments. [The complete set of slash commands can be found on the wiki](https://github.com/tullamods/Dominos/wiki/Slash-Commands)

## Contributing

[Source code for the addon can be found on GitHub](https://github.com/tullamods/Dominos).
Contributions are welcome (though I can be picky 😊).

